name: 42chips

# Services
services:
  42chips:
    container_name: 42chips
    user: vscode
    build:
      dockerfile: Dockerfile
      context: .
    volumes:
      - ..:/workspace
      - 42chips-home:/home
    networks:
      - 42chips-net

volumes:
  42chips-home:
    name: 42chips-home
networks:
  42chips-net:
    name: 42chips-net
